Skip to main content
`Ctrl`+`K`

# TSMonitorDrawSolutionFunction

Monitors progress of the `TS` solvers by calling `VecView()` for the solution provided by `TSSetSolutionFunction()` at each timestep

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorDrawSolutionFunction(TS ts, PetscInt step, PetscReal ptime, Vec u, void *dummy)

Collective

## Input Parameters

- ts - the `TS` context

- step - current time-step

- ptime - current time

- u - solution at current time

- dummy - either a viewer or `NULL`

## Options Database Key

- -ts_monitor_draw_solution_function - Monitor error graphically, requires user to have provided `TSSetSolutionFunction()`

## Note

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `TS` integration.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSSetSolutionFunction()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages